# SourcePath: blktrace/20070913
Summary: generate traces of the i/o traffic on block devices
Name: sony-target-dev-blktrace
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-blktrace
Version: 0.99.3
Release: 08000201
License: GPL2
Source: blktrace-%{version}.tar.gz
URL: git://git.kernel.org/pub/scm/linux/kernel/git/axboe/blktrace.git
Group: %{sony_group}
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
Buildroot: %{_tmppath}/%{name}-root
Prefix: %{sony_target_dir}

%description
blktrace is a block layer IO tracing mechanism which provides detailed
information about request queue operations up to user space.

%package -n %{pkgname}
Summary: generate traces of the i/o traffic on block devices
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}
blktrace is a block layer IO tracing mechanism which provides detailed
information about request queue operations up to user space.

%prep
%setup -q -n blktrace

%build
%sony_target_dev_setup
make CC="${CC}"

%install 
rm -rf %{buildroot}
%sony_target_dev_setup
make install \
	CC="${CC}" \
	DESTDIR=%{buildroot}%{sony_target_dir} \
	prefix=%{sony_target_dev_prefix}
rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_man_dir}

%clean
rm -rf %{buildroot}

%files -n  %{pkgname}
%defattr(-,root,root,-)
%{sony_target_dir}%{sony_target_dev_bin_dir}/blkparse
%{sony_target_dir}%{sony_target_dev_bin_dir}/blkrawverify
%{sony_target_dir}%{sony_target_dev_bin_dir}/blktrace
%{sony_target_dir}%{sony_target_dev_bin_dir}/btrace
%{sony_target_dir}%{sony_target_dev_bin_dir}/btt
%{sony_target_dir}%{sony_target_dev_bin_dir}/verify_blkparse

%changelog
* Wed Nov 30 2016 Sony Corporation
- Initial build for 8.0.2.0.

* Wed Sep 13 2007 Sony Corporation
- initial build.
